#!/bin/bash

set -ex

WD={{ base_dir }}/scratch/{{ basename }}/container_data
CD=${WD}.tar.gz

[ -d $WD ] && rm -rf $WD
[ -d $WD ] || mkdir -p $WD

[ -f $WD/bom.json ] || syft --from podman --scope all-layers -o spdx-json scan $2 > $WD/bom.json

tar czvf $CD $WD --transform "s#^${WD#/}#container_data#"

podman cp $CD $1:/
